Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- Break
- CompilationFailure
- CompilationPathProperty
- Compiler
- Compilers
- ForeignCompiler
- Make
- ScalacFork
- Settings
- TaskArgs
- Use

t

scala.tools.ant.sabbus

# TaskArgs 

###

#### trait TaskArgs extends CompilationPathProperty

Self Type
  TaskArgs with Task
Source
  TaskArgs.scala

Linear Supertypes
CompilationPathProperty, AnyRef, Any
Known Subclasses
Make, ScalacFork
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaskArgs
2. CompilationPathProperty
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TaskArgs to any2stringadd[TaskArgs] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TaskArgs, B)
   Implicit
     This member is added by an implicit conversion from TaskArgs to ArrowAssoc[TaskArgs] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  val compTarget: Option[String]
   Attributes
     protected
9.  val compilationPath: Option[Path]
   Attributes
     protected
   Definition Classes
     CompilationPathProperty
10.  val compilerPath: Option[Path]
    Attributes
      protected
11.  def createCompilationPath: Path
    Definition Classes
      CompilationPathProperty
12.  def createCompilerArg(): Argument
13.  def createCompilerPath: Path
14.  def createSrcPath: Path
15.  val destinationDir: Option[File]
    Attributes
      protected
16.  def ensuring(cond: (TaskArgs) ⇒ Boolean, msg: ⇒ Any): TaskArgs
    Implicit
      This member is added by an implicit conversion from TaskArgs to Ensuring[TaskArgs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (TaskArgs) ⇒ Boolean): TaskArgs
    Implicit
      This member is added by an implicit conversion from TaskArgs to Ensuring[TaskArgs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): TaskArgs
    Implicit
      This member is added by an implicit conversion from TaskArgs to Ensuring[TaskArgs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): TaskArgs
    Implicit
      This member is added by an implicit conversion from TaskArgs to Ensuring[TaskArgs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  val extraArgs: Seq[Argument]
    Attributes
      protected
23.  def extraArgsFlat: Seq[String]
24.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
25.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TaskArgs to StringFormat[TaskArgs] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
28.  val id: Option[String]
    Attributes
      protected
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
33.  def setCompilationPath(input: Path): Unit
    Definition Classes
      CompilationPathProperty
34.  def setCompilationPathRef(input: Reference): Unit
    Definition Classes
      CompilationPathProperty
35.  def setCompilerPath(input: Path): Unit
36.  def setCompilerPathRef(input: Reference): Unit
37.  def setDestdir(input: File): Unit
38.  def setId(input: String): Unit
39.  def setParams(input: String): Unit
40.  def setSrcPath(input: Path): Unit
41.  def setSrcPathRef(input: Reference): Unit
42.  def setTarget(input: String): Unit
43.  val sourcePath: Option[Path]
    Attributes
      protected
44.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  def →[B](y: B): (TaskArgs, B)
    Implicit
      This member is added by an implicit conversion from TaskArgs to ArrowAssoc[TaskArgs] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CompilationPathProperty

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TaskArgs to any2stringadd[TaskArgs]

### Inherited by implicit conversion StringFormat from TaskArgs to StringFormat[TaskArgs]

### Inherited by implicit conversion Ensuring from TaskArgs to Ensuring[TaskArgs]

### Inherited by implicit conversion ArrowAssoc from TaskArgs to ArrowAssoc[TaskArgs]

### Ungrouped